// ****************************************************************************
//  The Code Cave's DynDNS Updater                    					    01/Mar/2007
//  Written by Brian Layman (AKA Capt. Queeg AKA SilverPaladin)
//  Visit him at http://www.TheCodeCave.com
//
//  This is a demo of how to recreate a browser session including gets,
//  posts, password entries, and session logging.  It turns the 1and1.com
//  control panel into a DynDNS service.
//
//  Warning: It's quite certain that the 1and1.com control panel was not
//    optimized for automated usage.  AFAIK this does not violate any of my
//    usage agreements.  I could be wrong and your account might be under
//    newer/older terms that differ from mine.  Review your usage agreement.
//    I am not responsible for your usage of this program or any harm that is
//    caused technically, financially or contractually. In fact, better
//    yet, do not run this example at all. You should stop right now and erase
//    the files.  For if it causes your URL to now be linked to some XXX porn
//    site, if it erases all users from your computer, or if it makes your
//    sister break up with her lawyer boyfriend and start dating a caver, it
//    is not my fault.  (Actually that last one might be an improvement, but
//    it is still not my fault.) The fact of the matter is, computers
//    have a mind of their own and we programmers live on the wild side.
//
//  Usage: TCC_DDNSUpdater [URL Password DOMAINID]
//   Running with no parameters causes the UI to show and you must press
//   buttons for anything to happen.  Pass in the url that you wish to update
//   followed by the main password for your account, followed by the domain
//   ID for the URL you're gonna process and the program will update to the
//   current external IP address and terminate.  This works well when placed
//   in the registry.
//
//  Licensing - You can use this source as you will.  It's free for
//    commercial, shareware and gpl use as you like.  I hope it helps.
//    If this program & source really helps you out, please visit
//    http://www.thecodecave.com/did-that-help/ and read more.
//
//  History:
//	   06/Jun/2006 - BL - Created
//
// ****************************************************************************
program TCC_DDNSUpdater;

uses
  ExceptionLog,
  Forms,
  TCC_DDNSUpdater_Main in 'TCC_DDNSUpdater_Main.pas' {frm1and1DynDNS};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'TheCodeCave''s WordPress Trackback Grabber';
  Application.CreateForm(Tfrm1and1DynDNS, frm1and1DynDNS);
  Application.Run;
end.
